javax.validation.constraints

## Annotation Type DecimalMax

-     @Target(value={METHOD,FIELD,ANNOTATION_TYPE,CONSTRUCTOR,PARAMETER})
      @Retention(value=RUNTIME)
      @Documented
      @Constraint(validatedBy={})
      public @interface DecimalMax

  The annotated element must be a number whose value must be lower or equal to the specified maximum.

  Supported types are:
  - `BigDecimal`
  - `BigInteger`
  - `CharSequence`
  - `byte`, `short`, `int`, `long`, and their respective wrappers
  Note that `double` and `float` are not supported due to rounding errors (some providers might provide some approximative support).

  `null` elements are considered valid.
  Author:
    Emmanuel Bernard

- - ### Required Element Summary

    Required Elements
    Modifier and Type | Required Element and Description
    --- | ---
    `String` | `value` The `String` representation of the max value according to the `BigDecimal` string representation.

  - ### Optional Element Summary

    Optional Elements
    Modifier and Type | Optional Element and Description
    --- | ---
    `Class<?>[]` | `groups`
    `boolean` | `inclusive` Specifies whether the specified maximum is inclusive or exclusive.
    `String` | `message`
    `Class<? extends Payload>[]` | `payload`

- - ### Element Detail

    - #### value

          public abstract String value

      The `String` representation of the max value according to the `BigDecimal` string representation.
      Returns:
        value the element must be lower or equal to

    - #### message

          public abstract String message

      Default:
        "{javax.validation.constraints.DecimalMax.message}"

    - #### groups

          public abstract Class<?>[] groups

      Default:
        {}

    - #### payload

          public abstract Class<? extends Payload>[] payload

      Default:
        {}

    - #### inclusive

          public abstract boolean inclusive

      Specifies whether the specified maximum is inclusive or exclusive. By default, it is inclusive.
      Returns:
        `true` if the value must be lower or equal to the specified maximum, `false` if the value must be lower
      Since:
        1.1
      Default:
        true

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.